Bug 1470344 - document supported vddk versions
document supported vddk versions
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.8.0
All All
unspecified Severity urgent
: GA
: 5.8.2
Assigned To: Red Hat CloudForms Documentation
Red Hat CloudForms Documentation
doc:ssa
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 15:07 EDT by Josh Carter
Modified: 2017-07-19 01:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Carter 2017-07-12 15:07:33 EDT
Description of problem:

All scanning of virtual machines are failing.  The guest systems all reside on the same VMware LUN (shared over three ESXi hosts and the appliances are also on this LUN).  Those guest OSs consist of RHEL and Windows 2012 so the filesystems would be a mixture of EXT and NTFS.  The datastore itself is NFS3.  I cannot perform the SmartState analysis on the appliance, it is greyed out.



[----] E, [2017-07-12T12:17:36.043617 #17720:3c5140] ERROR -- : Unable to mount filesystem.  Reason:[connection closed] for VM [[MSTDC-ELO-NFS007] DDB001_backup/DDB001_backup.vmx]
[----] E, [2017-07-12T12:17:36.043910 #17720:3c5140] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:579:in `load'
[----] E, [2017-07-12T12:17:36.043968 #17720:3c5140] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:641:in `recv_reply'
[----] E, [2017-07-12T12:17:36.044013 #17720:3c5140] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:941:in `recv_reply'
[----] E, [2017-07-12T12:17:36.044057 #17720:3c5140] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:1254:in `send_message'



[----] I, [2017-07-12T12:17:36.031349 #20104:fe8800]  INFO -- : VdlWrapper.connect:
[----] I, [2017-07-12T12:17:36.031393 #20104:fe8800]  INFO -- : VdlConnection.initialize:
[----] I, [2017-07-12T12:17:36.031510 #20104:fe8800]  INFO -- : VMware(VixDiskLib): VixDiskLib: VixDiskLib_Connect: Establish connection.
/opt/rh/cfme-gemset/gems/ffi-vix_disk_lib-1.0.3/lib/ffi-vix_disk_lib/api_wrapper.rb:77: [BUG] Segmentation fault at 0x00000000000000
ruby 2.3.1p112 (2016-04-26 revision 54768) [x86_64-linux]

-- Control frame information -----------------------------------------------
c:0012 p:---- s:0052 e:000051 CFUNC  :connect
c:0011 p:0051 s:0047 e:000046 METHOD /opt/rh/cfme-gemset/gems/ffi-vix_disk_lib-1.0.3/lib/ffi-vix_disk_lib/api_wrapper.rb:77
c:0010 p:0048 s:0040 e:000039 METHOD /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-e0f3ea8755bf/lib/gems/pending/VixDiskLib/vdl_wrapper.rb:98 [FINISH]
c:0009 p:---- s:0035 e:000034 CFUNC  :new
c:0008 p:0094 s:0030 e:000029 METHOD /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-e0f3ea8755bf/lib/gems/pending/VixDiskLib/vdl_wrapper.rb:61
c:0007 p:0073 s:0026 e:000025 METHOD /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-e0f3ea8755bf/lib/gems/pending/VixDiskLib/VixDiskLibServer.rb:43
c:0006 p:0094 s:0021 e:000020 METHOD /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:1624
c:0005 p:0125 s:0017 e:000016 METHOD /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:1584
c:0004 p:0034 s:0013 e:000012 BLOCK  /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:1657 [FINISH]
c:0003 p:---- s:0008 e:000007 CFUNC  :loop
c:0002 p:0071 s:0005 e:000004 BLOCK  /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:1653 [FINISH]
c:0001 p:---- s:0002 e:000001 (none) [FINISH]


Version-Release number of selected component (if applicable): 5.8.0


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Rich Oliveri 2017-07-12 15:13:15 EDT
What's the version of the VDDK installed on the appliance?
Comment 3 Josh Carter 2017-07-13 10:04:59 EDT
Installing the VDDK 6.0.2 was able to make SmartState Analysis work.  Various 5.5 versions did not work, nor did 6.0; 6.0.2 is the first version with the required fix.

Note You need to log in before you can comment on or make changes to this bug.